--- old/usr/src/uts/i86pc/apix/Makefile	2014-04-25 16:07:54.095576326 -0400
+++ new/usr/src/uts/i86pc/apix/Makefile	2014-04-25 16:07:54.101273505 -0400
@@ -63,9 +63,6 @@
 LDFLAGS		+= -dy -N misc/acpica
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
-CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-empty-body
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86pc/io/hpet_acpi.c	2014-04-25 16:07:54.265600364 -0400
+++ new/usr/src/uts/i86pc/io/hpet_acpi.c	2014-04-25 16:07:54.271308431 -0400
@@ -54,18 +54,12 @@
 static uint64_t hpet_read_gen_intrpt_stat(hpet_info_t *hip);
 static uint64_t hpet_read_timer_N_config(hpet_info_t *hip, uint_t n);
 static hpet_TN_conf_cap_t hpet_convert_timer_N_config(uint64_t conf);
-/* LINTED E_STATIC_UNUSED */
-static uint64_t hpet_read_timer_N_comp(hpet_info_t *hip, uint_t n);
-/* LINTED E_STATIC_UNUSED */
-static void hpet_write_gen_cap(hpet_info_t *hip, uint64_t l);
 static void hpet_write_gen_config(hpet_info_t *hip, uint64_t l);
 static void hpet_write_gen_intrpt_stat(hpet_info_t *hip, uint64_t l);
 static void hpet_write_timer_N_config(hpet_info_t *hip, uint_t n, uint64_t l);
 static void hpet_write_timer_N_comp(hpet_info_t *hip, uint_t n, uint64_t l);
 static void hpet_disable_timer(hpet_info_t *hip, uint32_t timer_n);
 static void hpet_enable_timer(hpet_info_t *hip, uint32_t timer_n);
-/* LINTED E_STATIC_UNUSED */
-static void hpet_write_main_counter_value(hpet_info_t *hip, uint64_t l);
 static int hpet_get_IOAPIC_intr_capable_timer(hpet_info_t *hip);
 static int hpet_timer_available(uint32_t allocated_timers, uint32_t n);
 static void hpet_timer_alloc(uint32_t *allocated_timers, uint32_t n);
@@ -526,17 +520,6 @@
 }
 
 static uint64_t
-hpet_read_timer_N_comp(hpet_info_t *hip, uint_t n)
-{
-	if (hip->timer_n_config[n].size_cap == 1)
-		return (*(uint64_t *)
-		    HPET_TIMER_N_COMP_ADDRESS(hip->logical_address, n));
-	else
-		return (*(uint32_t *)
-		    HPET_TIMER_N_COMP_ADDRESS(hip->logical_address, n));
-}
-
-static uint64_t
 hpet_read_main_counter_value(hpet_info_t *hip)
 {
 	uint64_t	value;
@@ -571,12 +554,6 @@
 }
 
 static void
-hpet_write_gen_cap(hpet_info_t *hip, uint64_t l)
-{
-	*(uint64_t *)HPET_GEN_CAP_ADDRESS(hip->logical_address) = l;
-}
-
-static void
 hpet_write_gen_config(hpet_info_t *hip, uint64_t l)
 {
 	*(uint64_t *)HPET_GEN_CONFIG_ADDRESS(hip->logical_address) = l;
@@ -625,28 +602,6 @@
 	hpet_write_timer_N_config(hip, timer_n, l);
 }
 
-static void
-hpet_write_main_counter_value(hpet_info_t *hip, uint64_t l)
-{
-	uint32_t	*address;
-
-	/*
-	 * HPET spec 1.0a states main counter register should be halted before
-	 * it is written to.
-	 */
-	ASSERT(!(hpet_read_gen_config(hip) & HPET_GCFR_ENABLE_CNF));
-
-	if (hip->gen_cap.count_size_cap == 1) {
-		*(uint64_t *)HPET_MAIN_COUNTER_ADDRESS(hip->logical_address)
-		    = l;
-	} else {
-		address = (uint32_t *)HPET_MAIN_COUNTER_ADDRESS(
-		    hip->logical_address);
-
-		address[0] = (uint32_t)(l & 0xFFFFFFFF);
-	}
-}
-
 /*
  * Add the interrupt handler for I/O APIC interrupt number (interrupt line).
  *
--- old/usr/src/uts/i86pc/io/mp_platform_misc.c	2014-04-25 16:07:54.472555376 -0400
+++ new/usr/src/uts/i86pc/io/mp_platform_misc.c	2014-04-25 16:07:54.478425604 -0400
@@ -553,7 +553,7 @@
 	if ((irqptr->airq_ipl != max_ipl) && (max_ipl != PSM_INVALID_IPL) &&
 	    !ioapic_mask_workaround[irqptr->airq_ioapicindex]) {
 		apic_irq_t	*irqp;
-		if (vector = apic_allocate_vector(max_ipl, irqno, 1)) {
+		if ((vector = apic_allocate_vector(max_ipl, irqno, 1))) {
 			apic_mark_vector(irqheadptr->airq_vector, vector);
 			irqp = irqheadptr;
 			while (irqp) {
--- old/usr/src/uts/i86pc/io/pcplusmp/apic.c	2014-04-25 16:07:54.710087109 -0400
+++ new/usr/src/uts/i86pc/io/pcplusmp/apic.c	2014-04-25 16:07:54.715672796 -0400
@@ -215,14 +215,6 @@
 
 static void *apic_hdlp;
 
-/*
- * apic_let_idle_redistribute can have the following values:
- * 0 - If clock decremented it from 1 to 0, clock has to call redistribute.
- * apic_redistribute_lock prevents multiple idle cpus from redistributing
- */
-int	apic_num_idle_redistributions = 0;
-static	int apic_let_idle_redistribute = 0;
-
 /* to gather intr data and redistribute */
 static void apic_redistribute_compute(void);
 
@@ -798,7 +790,7 @@
 	int irq;
 
 	if ((irq = apic_allocate_irq(APIC_VECTOR(ipl))) != -1) {
-		if (vector = apic_allocate_vector(ipl, irq, 1)) {
+		if ((vector = apic_allocate_vector(ipl, irq, 1))) {
 			apic_irq_table[irq]->airq_mps_intr_index =
 			    RESERVE_INDEX;
 			apic_irq_table[irq]->airq_vector = vector;
--- old/usr/src/uts/i86pc/pcplusmp/Makefile	2014-04-25 16:07:54.918825732 -0400
+++ new/usr/src/uts/i86pc/pcplusmp/Makefile	2014-04-25 16:07:54.924379183 -0400
@@ -65,8 +65,6 @@
 #
 LDFLAGS		+= -dy -N misc/acpica
 
-CFLAGS		+= -Dbug1157974 -Dbug1155030
-
 #
 # For now, disable these lint checks; maintainers should endeavor
 # to investigate and remove these for maximum lint coverage.
@@ -77,11 +75,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
-CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-empty-body
 
 #
 #	Default build targets.
